> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List bare metal GPU clusters

> List all bare metal GPU clusters in the specified project and region.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v3/gpu/baremetal/{project_id}/{region_id}/clusters
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 4d49f7ec9cca
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v3/gpu/baremetal/{project_id}/{region_id}/clusters:
    get:
      tags:
        - GPU Bare Metal
      summary: List bare metal GPU clusters
      description: List all bare metal GPU clusters in the specified project and region.
      operationId: BMClusterCollection.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: query
          name: created_at
          required: false
          description: >-
            Filter by creation time (UTC), e.g.
            `created_at[gte]=2026-01-01T00:00:00Z`.
          schema:
            $ref: '#/components/schemas/DateTimeRangeFilter'
            description: >-
              Filter by creation time (UTC), e.g.
              `created_at[gte]=2026-01-01T00:00:00Z`.
          style: deepObject
          explode: true
        - in: query
          name: flavor
          required: false
          description: >-
            Filter by flavor (case-insensitive), e.g. `flavor[prefix]=bm3-`,
            `flavor[exact]=bm3-ai-1xlarge-h100-80-8`.
          schema:
            $ref: '#/components/schemas/StringFilter'
            description: >-
              Filter by flavor (case-insensitive), e.g. `flavor[prefix]=bm3-`,
              `flavor[exact]=bm3-ai-1xlarge-h100-80-8`.
          style: deepObject
          explode: true
        - in: query
          name: ids
          required: false
          description: Return only clusters with these IDs, e.g. `ids=<id1>&ids=<id2>`.
          schema:
            description: Return only clusters with these IDs, e.g. `ids=<id1>&ids=<id2>`.
            example:
              - 1aaaab48-10d0-46d9-80cc-85209284ceb4
            examples:
              - - 1aaaab48-10d0-46d9-80cc-85209284ceb4
            items:
              format: uuid4
              type: string
            title: Ids
            type: array
        - in: query
          name: image_ids
          required: false
          description: >-
            Return only clusters built from these source image IDs, e.g.
            `image_ids=<id1>&image_ids=<id2>`.
          schema:
            description: >-
              Return only clusters built from these source image IDs, e.g.
              `image_ids=<id1>&image_ids=<id2>`.
            example:
              - 8363acee-eb5d-475a-89b5-bd011d1e3c28
            examples:
              - - 8363acee-eb5d-475a-89b5-bd011d1e3c28
            items:
              format: uuid4
              type: string
            title: Image Ids
            type: array
        - in: query
          name: limit
          required: false
          description: Limit of items on a single page
          schema:
            default: 10
            description: Limit of items on a single page
            example: 10
            examples:
              - 10
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: managed_by
          required: false
          description: >-
            Filter by who manages the cluster: `user` (default) or `k8s`
            (Managed Kubernetes). Pass both to include all, e.g.
            `managed_by=user&managed_by=k8s`.
          schema:
            default:
              - user
            description: >-
              Filter by who manages the cluster: `user` (default) or `k8s`
              (Managed Kubernetes). Pass both to include all, e.g.
              `managed_by=user&managed_by=k8s`.
            example:
              - user
            examples:
              - - user
            items:
              $ref: '#/components/schemas/ClusterManagedBy'
            title: Managed By
            type: array
        - in: query
          name: name
          required: false
          description: >-
            Filter by name (case-insensitive), e.g. `name[contains]=gpu`,
            `name[prefix]=prod-`.
          schema:
            $ref: '#/components/schemas/StringFilter'
            description: >-
              Filter by name (case-insensitive), e.g. `name[contains]=gpu`,
              `name[prefix]=prod-`.
          style: deepObject
          explode: true
        - in: query
          name: offset
          required: false
          description: Offset in results list
          schema:
            default: 0
            description: Offset in results list
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
        - in: query
          name: servers_count
          required: false
          description: >-
            Filter by node count, e.g. `servers_count[gte]=2`,
            `servers_count[gte]=2&servers_count[lt]=8`.
          schema:
            $ref: '#/components/schemas/IntRangeFilter'
            description: >-
              Filter by node count, e.g. `servers_count[gte]=2`,
              `servers_count[gte]=2&servers_count[lt]=8`.
          style: deepObject
          explode: true
        - in: query
          name: tag_key
          required: false
          description: >-
            Filter by tag key regardless of value, e.g.
            `tag_key[contains]=team`.
          schema:
            $ref: '#/components/schemas/StringFilter'
            description: >-
              Filter by tag key regardless of value, e.g.
              `tag_key[contains]=team`.
          style: deepObject
          explode: true
        - in: query
          name: tag_value
          required: false
          description: >-
            Filter by tag value regardless of key, e.g.
            `tag_value[prefix]=prod`.
          schema:
            $ref: '#/components/schemas/StringFilter'
            description: >-
              Filter by tag value regardless of key, e.g.
              `tag_value[prefix]=prod`.
          style: deepObject
          explode: true
        - in: query
          name: tags
          required: false
          description: >-
            Filter by exact tag key-value pairs, e.g.
            `tags[env]=prod&tags[team]=core`. Pairs are ANDed; values match
            case-insensitively.
          schema:
            $ref: '#/components/schemas/TagFilter'
            description: >-
              Filter by exact tag key-value pairs, e.g.
              `tags[env]=prod&tags[team]=core`. Pairs are ANDed; values match
              case-insensitively.
            examples:
              - env: prod
          style: deepObject
          explode: true
        - in: query
          name: updated_at
          required: false
          description: >-
            Filter by last-change time (UTC), e.g.
            `updated_at[gte]=2026-06-01T00:00:00Z`.
          schema:
            $ref: '#/components/schemas/DateTimeRangeFilter'
            description: >-
              Filter by last-change time (UTC), e.g.
              `updated_at[gte]=2026-06-01T00:00:00Z`.
          style: deepObject
          explode: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaremetalClusterListSerializer'
components:
  schemas:
    DateTimeRangeFilter:
      additionalProperties: false
      description: >-
        Filter a timestamp field by a date/time range.


        Set a lower bound with `gt` (after) or `gte` (at or after), and an upper
        bound

        with `lt` (before) or `lte` (at or before). Use one or both; together
        they form

        a range. Values are in `2026-01-01T00:00:00Z` format, UTC.


        Examples:


        - `created_at[gte]=2026-01-01T00:00:00Z` - created on or after Jan 1.

        -
        `created_at[gte]=2026-01-01T00:00:00Z&created_at[lt]=2026-02-01T00:00:00Z`

        - created during January.


        Pass at most one lower and one upper bound; two lower or two upper
        bounds is a

        400.
      properties:
        gt:
          description: Strictly after this timestamp, e.g. `[gt]=2026-01-01T00:00:00Z`.
          format: date-time
          title: Gt
          type: string
        gte:
          description: >-
            At or after this timestamp (inclusive), e.g.
            `[gte]=2026-01-01T00:00:00Z`.
          format: date-time
          title: Gte
          type: string
        lt:
          description: Strictly before this timestamp, e.g. `[lt]=2026-02-01T00:00:00Z`.
          format: date-time
          title: Lt
          type: string
        lte:
          description: >-
            At or before this timestamp (inclusive), e.g.
            `[lte]=2026-02-01T00:00:00Z`.
          format: date-time
          title: Lte
          type: string
      title: DateTimeRangeFilter
      type: object
    StringFilter:
      additionalProperties: false
      description: >-
        Filter a string field by one or more operators.


        Use `exact`, `prefix`, `contains` or `suffix`; all match
        case-insensitively.

        Repeat one operator to match any of several values; combine different
        operators

        to narrow the result.


        Examples:


        - `name[contains]=web` - name contains "web".

        - `name[prefix]=prod-` - name starts with "prod-".

        - `name[prefix]=prod-&name[contains]=web` - both must hold.


        Unsupported operators return a 400.
      properties:
        contains:
          description: >-
            Case-insensitive substring, e.g. `[contains]=web`. Repeat the key to
            match any substring.
          items:
            type: string
          maxItems: 10
          title: Contains
          type: array
        exact:
          description: >-
            Case-insensitive exact match, e.g. `[exact]=web-1`. Repeat the key
            to match any of several.
          items:
            type: string
          maxItems: 100
          title: Exact
          type: array
        prefix:
          description: >-
            Case-insensitive starts-with, e.g. `[prefix]=prod-`. Repeat the key
            to match any prefix.
          items:
            type: string
          maxItems: 10
          title: Prefix
          type: array
        suffix:
          description: >-
            Case-insensitive ends-with, e.g. `[suffix]=-db`. Repeat the key to
            match any suffix.
          items:
            type: string
          maxItems: 10
          title: Suffix
          type: array
      title: StringFilter
      type: object
    ClusterManagedBy:
      enum:
        - k8s
        - user
      title: ClusterManagedBy
      type: string
    IntRangeFilter:
      additionalProperties: false
      description: >-
        Filter a non-negative integer field (e.g. `servers_count`) by a range.


        Set a lower bound with `gt` (greater than) or `gte` (greater than or
        equal),

        and an upper bound with `lt` (less than) or `lte` (less than or equal).
        Use one

        or both; together they form a range.


        Examples:


        - `servers_count[gte]=2` - 2 or more.

        - `servers_count[gte]=2&servers_count[lt]=8` - from 2 to 8.


        Pass at most one lower and one upper bound; two lower or two upper
        bounds is a

        400.
      properties:
        gt:
          description: Strictly greater than, e.g. `[gt]=1`.
          minimum: 0
          title: Gt
          type: integer
        gte:
          description: Greater than or equal, e.g. `[gte]=2`.
          minimum: 0
          title: Gte
          type: integer
        lt:
          description: Strictly less than, e.g. `[lt]=8`.
          minimum: 0
          title: Lt
          type: integer
        lte:
          description: Less than or equal, e.g. `[lte]=4`.
          minimum: 0
          title: Lte
          type: integer
      title: IntRangeFilter
      type: object
    TagFilter:
      description: |-
        Exact tag key-value pair filter, e.g. `tags[env]=prod&tags[team]=core`.
        Different pairs are ANDed.
      propertyNames:
        description: >-
          Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
          newlines, empty string or '=' character. Trailing or leading
          whitespaces will be stripped.
        examples:
          - my-tag
        maxLength: 255
        minLength: 1
        pattern: ^[^\s=]+$
      title: TagFilter
      type: object
      additionalProperties:
        description: >-
          Tag value. Maximum 255 characters. Cannot contain tabs, newlines, or
          empty strings. Trailing or leading whitespaces will be stripped.
        example: my-tag-value
        examples:
          - my-tag-value
        maxLength: 255
        minLength: 1
        pattern: ^[^ \t\n\r\f\v]([^\t\n\r\f\v]*[^ \t\n\r\f\v])?$
        type: string
    BaremetalClusterListSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/BaremetalClusterSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: BaremetalClusterListSerializer
      type: object
    BaremetalClusterSerializer:
      properties:
        created_at:
          description: Cluster creation date time
          example: '2024-12-31T23:59:59Z'
          examples:
            - '2024-12-31T23:59:59Z'
          format: date-time
          title: Created At
          type: string
        flavor:
          description: Cluster flavor name
          example: g3-ai-32-192-1500-l40s-48-1
          examples:
            - g3-ai-32-192-1500-l40s-48-1
          title: Flavor
          type: string
        has_pending_changes:
          description: >-
            True if any server in the cluster has pending (not yet applied)
            settings changes
          example: false
          examples:
            - false
          title: Has Pending Changes
          type: boolean
        id:
          description: Cluster unique identifier
          example: 1aaaab48-10d0-46d9-80cc-85209284ceb4
          examples:
            - 1aaaab48-10d0-46d9-80cc-85209284ceb4
          format: uuid4
          title: Id
          type: string
        image_id:
          description: Image ID
          example: 76645f69-3219-417b-be59-99361f02e0d3
          examples:
            - 76645f69-3219-417b-be59-99361f02e0d3
          title: Image Id
          type: string
        managed_by:
          $ref: '#/components/schemas/ClusterManagedBy'
          description: User type managing the resource
          examples:
            - user
        name:
          description: Cluster name
          example: my virtual gpu cluster
          examples:
            - my virtual gpu cluster
          title: Name
          type: string
        servers_count:
          description: Cluster servers count
          example: 2
          examples:
            - 2
          title: Servers Count
          type: integer
        servers_ids:
          description: List of cluster nodes
          example:
            - b4522653-fbcd-44a0-a949-541570a52281
            - e56192de-ed28-452a-b775-eeeacc795e3b
          examples:
            - - b4522653-fbcd-44a0-a949-541570a52281
              - e56192de-ed28-452a-b775-eeeacc795e3b
          items:
            format: uuid4
            type: string
          title: Servers Ids
          type: array
        servers_settings:
          $ref: '#/components/schemas/BaremetalServerSettingsOutputSerializer'
        status:
          $ref: '#/components/schemas/GPUClusterStatus'
          description: Cluster status
          examples:
            - active
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Cluster update date time
          examples:
            - '2025-01-11T23:59:59Z'
          title: Updated At
      required:
        - id
        - name
        - status
        - flavor
        - tags
        - servers_count
        - created_at
        - updated_at
        - servers_ids
        - servers_settings
        - managed_by
        - image_id
        - has_pending_changes
      title: BaremetalClusterSerializer
      type: object
    BaremetalServerSettingsOutputSerializer:
      properties:
        file_shares:
          description: List of file shares mounted across the cluster.
          items:
            $ref: '#/components/schemas/FileShareMountSerializer'
          title: File Shares
          type: array
        interfaces:
          items:
            discriminator:
              mapping:
                any_subnet:
                  $ref: '#/components/schemas/AnySubnetInterfaceOutputSerializer'
                external:
                  $ref: '#/components/schemas/ExternalInterfaceOutputSerializer'
                subnet:
                  $ref: '#/components/schemas/SubnetInterfaceOutputSerializer'
              propertyName: type
            oneOf:
              - $ref: '#/components/schemas/ExternalInterfaceOutputSerializer'
              - $ref: '#/components/schemas/SubnetInterfaceOutputSerializer'
              - $ref: '#/components/schemas/AnySubnetInterfaceOutputSerializer'
          title: Interfaces
          type: array
        security_groups:
          deprecated: true
          description: >-
            Deprecated. Deduplicated union of security groups across all
            interfaces; the actual assignment may differ per interface. Use
            `interfaces[].security_groups` for the authoritative per-interface
            list.
          example:
            - id: ae74714c-c380-48b4-87f8-758d656cdad6
              name: default
          examples:
            - - id: ae74714c-c380-48b4-87f8-758d656cdad6
                name: default
          items:
            $ref: '#/components/schemas/GroupSecurityGroupSerializer'
          title: Security Groups
          type: array
        ssh_key_name:
          anyOf:
            - type: string
            - type: 'null'
          description: SSH key name
          examples:
            - my-ssh-key
          title: Ssh Key Name
        user_data:
          anyOf:
            - type: string
            - type: 'null'
          description: Optional custom user data
          examples:
            - eyJ0ZXN0IjogImRhdGEifQ==
          title: User Data
      required:
        - user_data
        - ssh_key_name
        - interfaces
        - file_shares
        - security_groups
      title: BaremetalServerSettingsOutputSerializer
      type: object
    GPUClusterStatus:
      enum:
        - active
        - creating
        - degraded
        - deleting
        - error
        - rebooting
        - rebuilding
        - resizing
        - shutoff
      title: GPUClusterStatus
      type: string
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
    FileShareMountSerializer:
      properties:
        id:
          description: Unique identifier of the file share in UUID format.
          example: a3f2d1b8-45e6-4f8a-bb5d-19dbf2cd7e9a
          examples:
            - a3f2d1b8-45e6-4f8a-bb5d-19dbf2cd7e9a
          format: uuid4
          title: Id
          type: string
        mount_path:
          description: >-
            Absolute mount path inside the system where the file share will be
            mounted.
          example: /mnt/vast
          examples:
            - /mnt/vast
          title: Mount Path
          type: string
      required:
        - id
        - mount_path
      title: FileShareMountSerializer
      type: object
    AnySubnetInterfaceOutputSerializer:
      properties:
        floating_ip:
          anyOf:
            - $ref: '#/components/schemas/NewFloatingIpInterfaceSerializer'
            - type: 'null'
          description: Floating IP config for this subnet attachment
        ip_address:
          anyOf:
            - type: string
            - type: 'null'
          description: Fixed IP address
          examples:
            - 192.168.6.9
          title: Ip Address
        ip_family:
          description: 'Which subnets should be selected: IPv4, IPv6, or use dual stack'
          enum:
            - dual
            - ipv4
            - ipv6
          example: ipv4
          examples:
            - ipv4
          title: Ip Family
          type: string
        name:
          anyOf:
            - maxLength: 37
              type: string
            - type: 'null'
          description: Interface name
          title: Name
        network_id:
          description: >-
            Network ID the subnet belongs to. Port will be plugged in this
            network
          example: 59905c8e-2619-420a-b046-536096473370
          examples:
            - 59905c8e-2619-420a-b046-536096473370
          title: Network Id
          type: string
        security_groups:
          description: Resolved security groups applied to this interface.
          items:
            $ref: '#/components/schemas/GroupSecurityGroupSerializer'
          title: Security Groups
          type: array
        type:
          const: any_subnet
          title: Type
          type: string
      required:
        - network_id
        - name
        - security_groups
        - type
        - ip_family
        - ip_address
        - floating_ip
      title: AnySubnetInterfaceOutputSerializer
      type: object
    ExternalInterfaceOutputSerializer:
      properties:
        ip_family:
          description: 'Which subnets should be selected: IPv4, IPv6, or use dual stack.'
          enum:
            - dual
            - ipv4
            - ipv6
          example: ipv4
          examples:
            - ipv4
          title: Ip Family
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          description: Interface name
          examples:
            - eth0
          title: Name
        security_groups:
          description: Resolved security groups applied to this interface.
          items:
            $ref: '#/components/schemas/GroupSecurityGroupSerializer'
          title: Security Groups
          type: array
        type:
          const: external
          title: Type
          type: string
      required:
        - type
        - ip_family
        - name
        - security_groups
      title: ExternalInterfaceOutputSerializer
      type: object
    SubnetInterfaceOutputSerializer:
      properties:
        floating_ip:
          anyOf:
            - $ref: '#/components/schemas/NewFloatingIpInterfaceSerializer'
            - type: 'null'
          description: Floating IP config for this subnet attachment
        name:
          anyOf:
            - maxLength: 37
              type: string
            - type: 'null'
          description: Interface name
          title: Name
        network_id:
          description: >-
            Network ID the subnet belongs to. Port will be plugged in this
            network
          example: 59905c8e-2619-420a-b046-536096473370
          examples:
            - 59905c8e-2619-420a-b046-536096473370
          title: Network Id
          type: string
        security_groups:
          description: Resolved security groups applied to this interface.
          items:
            $ref: '#/components/schemas/GroupSecurityGroupSerializer'
          title: Security Groups
          type: array
        subnet_id:
          description: Port is assigned an IP address from this subnet
          example: e3c6ee77-48cb-416b-b204-11b492cc776e3
          examples:
            - e3c6ee77-48cb-416b-b204-11b492cc776e3
          format: uuid4
          title: Subnet Id
          type: string
        type:
          const: subnet
          title: Type
          type: string
      required:
        - network_id
        - name
        - security_groups
        - type
        - subnet_id
        - floating_ip
      title: SubnetInterfaceOutputSerializer
      type: object
    GroupSecurityGroupSerializer:
      properties:
        id:
          description: Security group ID
          example: ae74714c-c380-48b4-87f8-758d656cdad6
          examples:
            - ae74714c-c380-48b4-87f8-758d656cdad6
          title: Id
          type: string
        name:
          description: Security group name
          example: default
          examples:
            - default
          title: Name
          type: string
      required:
        - id
        - name
      title: GroupSecurityGroupSerializer
      type: object
    NewFloatingIpInterfaceSerializer:
      properties:
        source:
          const: new
          title: Source
          type: string
      required:
        - source
      title: NewFloatingIpInterfaceSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````